cdac.medinfo.enums

## Enum EnumRouteCode

- java.lang.Object
- - java.lang.Enum<EnumRouteCode>
  - - cdac.medinfo.enums.EnumRouteCode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EnumRouteCode>

      public enum EnumRouteCode
      extends java.lang.Enum<EnumRouteCode>

  This class specify section's route code constants used in clinical document

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IMMUNIZATION_ROUTECODE` This constant specifies value representation of immunization route Code
    `IPINHL` This constant specifies value representation IPINHL of route Code

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()` This function returns the String value of this enum.
    `static EnumRouteCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EnumRouteCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IPINHL

          public static final EnumRouteCode IPINHL

      This constant specifies value representation IPINHL of route Code

    - #### IMMUNIZATION_ROUTECODE

          public static final EnumRouteCode IMMUNIZATION_ROUTECODE

      This constant specifies value representation of immunization route Code

  - ### Method Detail

    - #### values

          public static EnumRouteCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumRouteCode c : EnumRouteCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumRouteCode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      This function returns the String value of this enum.
      Returns:
        - returns string value of Code Value.